<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>com.aptener.bluconnect.device.control</title>
<link href="../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../styles/style.css" rel="Stylesheet"><link href="../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../styles/main.css" rel="Stylesheet"><link href="../../styles/prism.css" rel="Stylesheet"><link href="../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.device.control////PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../index.html">bluconnect</a>/<a href="index.html">com.aptener.bluconnect.device.control</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Package</span></span> <span>com.</span><wbr></wbr><span>aptener.</span><wbr></wbr><span>bluconnect.</span><wbr></wbr><span>device.</span><wbr></wbr><span>control</span></h1>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Types">Types</button></div>
            <div class="tabs-section-body">
              <h2 class="">Types</h2>
              <div class="table" data-togglable="Types"><a data-name="858774143%2FClasslikes%2F-1410038383" anchor-label="BatteryImpl" id="858774143%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-battery-impl/index.html"><span>Battery</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="858774143%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-battery-impl/index.html">BatteryImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-battery/-battery-level/index.html">Battery.BatteryLevel</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-battery/index.html">Battery</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1052490294%2FClasslikes%2F-1410038383" anchor-label="ButtonClickImpl" id="1052490294%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-button-click-impl/index.html"><span>Button</span><wbr></wbr><span>Click</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1052490294%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-button-click-impl/index.html">ButtonClickImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-button-click/-button-action/index.html">ButtonClick.ButtonAction</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-button-click/index.html">ButtonClick</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1007284494%2FClasslikes%2F-1410038383" anchor-label="DeviceInfoImpl" id="-1007284494%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-device-info-impl/index.html"><span>Device</span><wbr></wbr><span>Info</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1007284494%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-device-info-impl/index.html">DeviceInfoImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-device-info/-firmware-info/index.html">DeviceInfo.FirmwareInfo</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-device-info/index.html">DeviceInfo</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-341944295%2FClasslikes%2F-1410038383" anchor-label="DialerImpl" id="-341944295%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-dialer-impl/index.html"><span>Dialer</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-341944295%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-dialer-impl/index.html">DialerImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-dialer/-dialer-state/index.html">Dialer.DialerState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-dialer/index.html">Dialer</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1119784004%2FClasslikes%2F-1410038383" anchor-label="FirmwareReqResInterceptor" id="1119784004%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-firmware-req-res-interceptor/index.html"><span>Firmware</span><wbr></wbr><span>Req</span><wbr></wbr><span>Res</span><wbr></wbr><span><span>Interceptor</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1119784004%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-firmware-req-res-interceptor/index.html">FirmwareReqResInterceptor</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="-firmware-req-res-interceptor/-raw-firmware-message/index.html">FirmwareReqResInterceptor.RawFirmwareMessage</a><span class="token operator">?</span><span class="token operator">&gt; </span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="160125490%2FClasslikes%2F-1410038383" anchor-label="FirmwareUpdateImpl" id="160125490%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-firmware-update-impl/index.html"><span>Firmware</span><wbr></wbr><span>Update</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="160125490%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-firmware-update-impl/index.html">FirmwareUpdateImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrolota/-firmware-update/-firmware-update-state/index.html">FirmwareUpdate.FirmwareUpdateState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrolota/-firmware-update/index.html">FirmwareUpdate</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-792532273%2FClasslikes%2F-1410038383" anchor-label="IntentInterface" id="-792532273%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-intent-interface/index.html"><span>Intent</span><wbr></wbr><span><span>Interface</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-792532273%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="-intent-interface/index.html">IntentInterface</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="706332199%2FClasslikes%2F-1410038383" anchor-label="MediaPlayerImpl" id="706332199%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-media-player-impl/index.html"><span>Media</span><wbr></wbr><span>Player</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="706332199%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-media-player-impl/index.html">MediaPlayerImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-media-player/-media-player-state/index.html">MediaPlayer.MediaPlayerState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-media-player/index.html">MediaPlayer</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1336559420%2FClasslikes%2F-1410038383" anchor-label="OtaSwitchImpl" id="1336559420%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-ota-switch-impl/index.html"><span>Ota</span><wbr></wbr><span>Switch</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1336559420%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-ota-switch-impl/index.html">OtaSwitchImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.device.ahcontrol/-ota-switch/index.html">OtaSwitch</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="943720470%2FClasslikes%2F-1410038383" anchor-label="RawBytesInterfaceImpl" id="943720470%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-raw-bytes-interface-impl/index.html"><span>Raw</span><wbr></wbr><span>Bytes</span><wbr></wbr><span>Interface</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="943720470%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-raw-bytes-interface-impl/index.html">RawBytesInterfaceImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-raw-bytes-interface/index.html">RawBytesInterface</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1124697656%2FClasslikes%2F-1410038383" anchor-label="RideGridImpl" id="1124697656%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-ride-grid-impl/index.html"><span>Ride</span><wbr></wbr><span>Grid</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1124697656%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-ride-grid-impl/index.html">RideGridImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-ride-grid/-ride-grid-state/index.html">RideGrid.RideGridState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-ride-grid/index.html">RideGrid</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-556364812%2FClasslikes%2F-1410038383" anchor-label="RideLynkImpl" id="-556364812%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-ride-lynk-impl/index.html"><span>Ride</span><wbr></wbr><span>Lynk</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-556364812%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-ride-lynk-impl/index.html">RideLynkImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-ride-lynk/-ride-lynk-state/index.html">RideLynk.RideLynkState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-ride-lynk/index.html">RideLynk</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="296856494%2FClasslikes%2F-1410038383" anchor-label="SecondPhoneControlSx" id="296856494%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-second-phone-control-sx/index.html"><span>Second</span><wbr></wbr><span>Phone</span><wbr></wbr><span>Control</span><wbr></wbr><span><span>Sx</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="296856494%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-second-phone-control-sx/index.html">SecondPhoneControlSx</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-second-phone/-second-phone-state/index.html">SecondPhone.SecondPhoneState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-second-phone/index.html">SecondPhone</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Once device is connected, Battery level updates every 2 minute.</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-673944139%2FClasslikes%2F-1410038383" anchor-label="SpeedDialImpl" id="-673944139%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-speed-dial-impl/index.html"><span>Speed</span><wbr></wbr><span>Dial</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-673944139%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-speed-dial-impl/index.html">SpeedDialImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-versatile-property/index.html">VersatileProperty</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.app.device.sx.usecase/-fw-app-state-ctrl-sx/-fw-state-sx/index.html">FwAppStateCtrlSx.FwStateSx</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-speed-dial/-speed-dial-state/index.html">SpeedDial.SpeedDialState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-speed-dial/index.html">SpeedDial</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Once device is connected, Battery level updates every 2 minute.</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-562536781%2FClasslikes%2F-1410038383" anchor-label="VoiceAnnouncementImpl" id="-562536781%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-voice-announcement-impl/index.html"><span>Voice</span><wbr></wbr><span>Announcement</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-562536781%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-voice-announcement-impl/index.html">VoiceAnnouncementImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-versatile-property/index.html">VersatileProperty</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-notification-state/index.html">VoiceAnnouncement.VoiceNotificationState</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-announcement-state/index.html">VoiceAnnouncement.VoiceAnnouncementState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/index.html">VoiceAnnouncement</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Emits voice notification events</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="2120214474%2FClasslikes%2F-1410038383" anchor-label="VoiceAssistantImpl" id="2120214474%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-voice-assistant-impl/index.html"><span>Voice</span><wbr></wbr><span>Assistant</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="2120214474%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-voice-assistant-impl/index.html">VoiceAssistantImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-versatile-property/index.html">VersatileProperty</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.app.device.sx.usecase/-fw-app-state-ctrl-sx/-fw-state-sx/index.html">FwAppStateCtrlSx.FwStateSx</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-voice-assistant/-voice-assistant-state/index.html">VoiceAssistant.VoiceAssistantState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-voice-assistant/index.html">VoiceAssistant</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="253032906%2FClasslikes%2F-1410038383" anchor-label="VoiceNoteRecorderImpl" id="253032906%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-voice-note-recorder-impl/index.html"><span>Voice</span><wbr></wbr><span>Note</span><wbr></wbr><span>Recorder</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="253032906%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-voice-note-recorder-impl/index.html">VoiceNoteRecorderImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-versatile-property/index.html">VersatileProperty</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.app.device.sx.usecase/-fw-app-state-ctrl-sx/-fw-state-sx/index.html">FwAppStateCtrlSx.FwStateSx</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-voice-note-recorder/-voice-note-recorder-state/index.html">VoiceNoteRecorder.VoiceNoteRecorderState</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-voice-note-recorder/index.html">VoiceNoteRecorder</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1712540220%2FClasslikes%2F-1410038383" anchor-label="VolumeImpl" id="1712540220%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-volume-impl/index.html"><span>Volume</span><wbr></wbr><span><span>Impl</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1712540220%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="-volume-impl/index.html">VolumeImpl</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>intentInterface<span class="token operator">: </span><a href="-intent-interface/index.html">IntentInterface</a><span class="token punctuation">)</span> : <a href="../com.aptener.bluconnect.common.usecase/-property/index.html">Property</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../com.aptener.bluconnect.device.ahcontrol/-volume/-volume-level/index.html">Volume.VolumeLevel</a><span class="token operator">&gt; </span>, <a href="../com.aptener.bluconnect.device.ahcontrol/-volume/index.html">Volume</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="brief "><p class="paragraph">Emits volume level</p></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

